Logo

FAQ: Windows 64-bit compatibility

PREDATOR v2.1 and above is compatible with 64-bit editions of Windows. Be careful to download the 64-bit version of the software.
Older PREDATOR versions won't run and issue this error message: "The Predator service is not responding"

Return to FAQ's main index